Page MenuHomePhabricator

SHA-1 file name support
Closed, ResolvedPublic

Description

Mark T was interested in finally getting this merged. Not much is left to do on this anyway.

Event Timeline

aaron created this task.Nov 10 2014, 8:31 PM
aaron raised the priority of this task from to Needs Triage.
aaron updated the task description. (Show Details)
aaron added a project: MediaWiki-Core-Team.
aaron moved this task to Needs Review/Feedback on the MediaWiki-Core-Team board.
aaron changed Security from none to None.
aaron added a subscriber: aaron.
aaron claimed this task.Nov 10 2014, 8:42 PM
aaron renamed this task from Get gerrit change #127460 merged to SHA-1 file name support.Nov 17 2014, 10:10 PM
revi added a subscriber: revi.
Gilles triaged this task as Normal priority.Nov 26 2014, 4:34 PM
Gilles added a project: Multimedia.
Gilles moved this task from Untriaged to Next up on the Multimedia board.
Gilles added a subscriber: Gilles.
Gilles added a comment.Dec 9 2014, 4:18 PM

Just to get a sense of where we're at @aaron, now that I finally have time to look at this. Do you think we have bad/insufficient/ok/good test coverage for this change?

In particular I wonder if it would be useful to test specifically what happens when going from a repo working the old way to turning this on, because I'm not sure that we are currently.

Change 127460 had a related patch set uploaded (by Gilles):
Support for storing files under SHA-1 names

https://gerrit.wikimedia.org/r/127460

Patch-For-Review

aaron changed the task status from Open to Stalled.Jan 20 2015, 10:24 PM
Gilles moved this task from Next up to Untriaged on the Multimedia board.Mar 23 2015, 8:55 AM

Change 127460 merged by Gilles:
Support for storing files under SHA-1 names

https://gerrit.wikimedia.org/r/127460

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 21 2015, 5:55 PM

This is a blocker of T3780, right?

aaron closed this task as Resolved.Aug 6 2015, 7:46 PM

Performance cleanups (like img_auth/thumb.php) can go in separate bugs if needed.

Restricted Application added a subscriber: Steinsplitter. · View Herald TranscriptAug 6 2015, 7:46 PM

No documentation and no RELEASE NOTES? sigh...